QGIS Application - Feature request #7436
delete ESRI index files from shapefile after editing in QGIS
2013-03-25 04:34 AM - Gavin Fleming

Status: Open

Priority: Normal

Assignee:

Category: Unknown

Pull Request or Patch supplied: Resolution:

Easy fix?: No Copied to github as #: 16397
Description

1. shapefile comes with .sbn and .sbx index files from ESRI client

2. edit in QGIS, which does not maintain ESRI indexes.

3. Open shapefile again in ArcView (tested in 3.2 and 9.2) and shapefile appears corrupted, with many features missing. Even a 'bit in
range' failure in AV 3.2.

4. delete .sbn and .sbx files and shapefile works perfectly

Solution: Whenever a shapefile is opened for editing (or when first commit is made) by QGIS, automatically delete ESRI index files if they
exist.

Related issues:
Duplicates QGIS Application - Bug report # 5978: Missing features in shape-fi... Closed 2012-07-09 2012-07-09

History

#1 - 2017-05-01 12:48 AM - Giovanni Manghi
- Easy fix? set to No

#2 - 2017-09-22 10:06 AM - Jiirgen Fischer
- Category set to Unknown
